javax.jms

## Class InvalidClientIDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.InvalidClientIDException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidClientIDException

    public class InvalidClientIDException
    extends JMSException

This exception must be thrown when a client attempts to set a connection's client ID to a value that is rejected by a provider.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidClientIDException(String reason)` Constructs an `InvalidClientIDException` with the specified reason.
`InvalidClientIDException(String reason, String errorCode)` Constructs an `InvalidClientIDException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidClientIDException

    public InvalidClientIDException(String reason,
                            String errorCode)

Constructs an `InvalidClientIDException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### InvalidClientIDException

    public InvalidClientIDException(String reason)

Constructs an `InvalidClientIDException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception